Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagetype_Dcl Class Reference

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagetype_Dcl:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagetype_Dcl:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Abstract_Storagetype_Dcl (TAO_PSDL_Node *abs_storagetype_header)
| ****************************************************************
| TAO_PSDL_Abstract_Storagetype_Dcl (TAO_PSDL_Node *abs_storagetype_header, TAO_PSDL_Node *abs_storagetype_body)
virtual | ~TAO_PSDL_Abstract_Storagetype_Dcl (void)
TAO_PSDL_Node * | abs_storagetype_header (void) const
| Get the value.
TAO_PSDL_Node * | abs_storagetype_body (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods.
## Private Attributes
TAO_PSDL_Node * | abs_storagetype_header_
| The values.
TAO_PSDL_Node * | abs_storagetype_body_

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagetype_Dcl::TAO_PSDL_Abstract_Storagetype_Dcl | ( | TAO_PSDL_Node * | abs_storagetype_header | ) |

| ****************************************************************

TAO_PSDL_Abstract_Storagetype_Dcl::TAO_PSDL_Abstract_Storagetype_Dcl | ( | TAO_PSDL_Node * | abs_storagetype_header,
|  | TAO_PSDL_Node * | abs_storagetype_body
| ) |

TAO_PSDL_Abstract_Storagetype_Dcl::~TAO_PSDL_Abstract_Storagetype_Dcl | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Dcl::abs_storagetype_body | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Dcl::abs_storagetype_header | ( | void |  | ) | const

| Get the value.

int TAO_PSDL_Abstract_Storagetype_Dcl::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Implements TAO_PSDL_Node.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Dcl::abs_storagetype_body_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Dcl::abs_storagetype_header_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp